Package jxl

# Interface BooleanCell

All Superinterfaces:
  `Cell`

All Known Subinterfaces:
  `BooleanFormulaCell`

All Known Implementing Classes:
  `Boolean`

public interface BooleanCell extends Cell
This type represents the Microsoft concept of a Boolean. Accordingly, this cell represents either TRUE, FALSE or an error condition. This third state naturally makes handling BooleanCells quite tricky, and use of the specific access methods should be handled with care

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getValue()`
Gets the boolean value stored in this cell.

### Methods inherited from interface jxl.Cell

`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

## Method Details

### getValue

boolean getValue()
Gets the boolean value stored in this cell. If this cell contains an error, then returns FALSE. Always query this cell type using the accessor method isError() prior to calling this method

Returns:
  TRUE if this cell contains TRUE, FALSE if it contains FALSE or an error code